Subject: Re: bug#8368: 24.0.50; "temp" means "help" - rename or at least document

From: Richard Stallman <[email-masked]>
Date: Sun, 11 Sep 2011 22:46:55 -0400

If `help-mode' is the correct mode for these buffers, then I think
    `with-output-to-temp-buffer' should be documented to put the buffer in
    help mode, and it should be done explicitly in the code -- not by having
    help.el alter `temp-buffer-setup-hook' when help.el is loaded.

I think the reason I did it in the hook was to create a way to turn it
off.  Your change would eliminate that possibility.

It is surely possible to change how this area works, but please
don't just delete these hook settings.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use free telephony http://directory.fsf.org/category/tel/